# class Gtk::RadioButton

### Public Class Methods

new(options={}) click to toggle source

    # File lib/gtk3/radio-button.rb, line 20
    def initialize(options={})
      group         = options[:group]
      label         = options[:label]
      member        = options[:member]
      use_underline = options[:use_underline]

      if label
        if member
          if use_underline
            initialize_new_with_mnemonic_from_widget(member, label)
          else
            initialize_new_with_label_from_widget(member, label)
          end
        else
          if use_underline
            initialize_new_with_mnemonic(group, label)
          else
            initialize_new_with_label(group, label)
          end
        end
      else
        if member
          initialize_new_from_widget(member)
        else
          initialize_raw
        end
      end
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(options={})
Alias for: new